



*.CSSCLS_GENERAL_COLOR_RED {
	color : #ff0000;
}

*.CSSCLS_GENERAL_COLOR_RED_BOLD {
	color : #ff0000;
	font-weight : bold;
}

/** ------------------------
フローティングメニュー
------------------------- */
#OBJID_CHK_DISABLE_FLOATING:not(:checked) ~ div.CSSCLS_DIV_FLOATING_MENU {
	position : fixed;
	top : 2%;
	right : 2%;
	background-color : #ddddff;
}

#OBJID_CHK_DISABLE_FLOATING:checked ~ div.CSSCLS_DIV_FLOATING_MENU .CSSCLS_FLOATING_INFO_AREA_INTO_BODY {
	display: none;
}

#OBJID_CHK_DISABLE_FLOATING:not(:checked) ~ div.CSSCLS_DIV_FLOATING_MENU .CSSCLS_FLOATING_INFO_AREA_GOTO_FLOAT {
	display: none;
}

#OBJID_CHK_DISABLE_FLOATING ~ div.CSSCLS_DIV_FLOATING_MENU :is(.CSSCLS_FLOATING_INFO_AREA_INTO_BODY, .CSSCLS_FLOATING_INFO_AREA_GOTO_FLOAT) .CSSCLS_FLOATING_INFO_AREA_DISP_BUTTON_TEXT {
	flex: 0 1 auto;
	margin-right: 0.125em;
	margin-left: 2em;
	font-size: smaller;
	padding: 0 0.5em;
	border: 1px solid gray;
	border-radius: 5px;
	background-color: #cccccc;
	cursor: pointer;
}

div.CSSCLS_DIV_FLOATING_MENU *.CSSCLS_FLOATING_MENU_FONT_SIZE_8PX {
	font-size : 8px;
}

div.CSSCLS_DIV_FLOATING_MENU *.CSSCLS_FLOATING_MENU_FONT_SIZE_9PX {
	font-size : 9px;
}

div.CSSCLS_DIV_FLOATING_MENU *.CSSCLS_FLOATING_MENU_FONT_SIZE_10PX {
	font-size : 10px;
}

div.CSSCLS_DIV_FLOATING_MENU *.CSSCLS_FLOATING_MENU_FONT_SIZE_10PX {
	font-size : 10px;
}

div.CSSCLS_DIV_FLOATING_MENU *.CSSCLS_FLOATING_MENU_FONT_SIZE_11PX {
	font-size : 11px;
}

div.CSSCLS_DIV_FLOATING_MENU *.CSSCLS_FLOATING_MENU_FONT_SIZE_12PX {
	font-size : 12px;
}

div.CSSCLS_DIV_FLOATING_MENU *.CSSCLS_FLOATING_MENU_FONT_SIZE_13PX {
	font-size : 13px;
}

div.CSSCLS_DIV_FLOATING_MENU *.CSSCLS_FLOATING_MENU_FONT_SIZE_14PX {
	font-size : 14px;
}

div.CSSCLS_DIV_FLOATING_MENU *.CSSCLS_FLOATING_MENU_FONT_SIZE_15PX {
	font-size : 15px;
}

div.CSSCLS_DIV_FLOATING_MENU *.CSSCLS_FLOATING_MENU_FONT_SIZE_17PX {
	font-size : 17px;
}

div.CSSCLS_DIV_FLOATING_MENU *.CSSCLS_FLOATING_MENU_FONT_SIZE_18PX {
	font-size : 18px;
}

div.CSSCLS_DIV_FLOATING_MENU *.CSSCLS_FLOATING_MENU_FONT_SIZE_19PX {
	font-size : 19px;
}

div.CSSCLS_DIV_FLOATING_MENU *.CSSCLS_FLOATING_MENU_FONT_SIZE_20PX {
	font-size : 20px;
}

div.CSSCLS_DIV_FLOATING_MENU *.CSSCLS_FLOATING_MENU_FONT_SIZE_21PX {
	font-size : 21px;
}

div.CSSCLS_DIV_FLOATING_MENU *.CSSCLS_FLOATING_MENU_FONT_SIZE_22PX {
	font-size : 22px;
}

div.CSSCLS_DIV_FLOATING_MENU *.CSSCLS_FLOATING_MENU_FONT_SIZE_23PX {
	font-size : 23px;
}

div.CSSCLS_DIV_FLOATING_MENU *.CSSCLS_FLOATING_MENU_FONT_SIZE_24PX {
	font-size : 24px;
}

div.CSSCLS_DIV_FLOATING_MENU *.CSSCLS_FLOATING_MENU_FONT_SIZE_25PX {
	font-size : 25px;
}

div.CSSCLS_DIV_FLOATING_MENU *.CSSCLS_FLOATING_MENU_FONT_SIZE_26PX {
	font-size : 26px;
}

div.CSSCLS_DIV_FLOATING_MENU *.CSSCLS_FLOATING_MENU_FONT_SIZE_27PX {
	font-size : 27px;
}

div.CSSCLS_DIV_FLOATING_MENU *.CSSCLS_FLOATING_MENU_FONT_SIZE_28PX {
	font-size : 28px;
}

div.CSSCLS_DIV_FLOATING_MENU *.CSSCLS_FLOATING_MENU_FONT_SIZE_29PX {
	font-size : 29px;
}

div.CSSCLS_DIV_FLOATING_MENU *.CSSCLS_FLOATING_MENU_FONT_SIZE_30PX {
	font-size : 30px;
}

td.CSSCLS_FLOATING_INFO_DISP_TABLE {
	vertical-align : top;
}

td.CSSCLS_FLOATING_INFO_ALIGN_CENTER {
	text-align : center;
}

td.CSSCLS_FLOATING_INFO_ALIGN_RIGHT {
	text-align : right;
}





span.CSSCLS_MONSTER_PARAM_GOOD {
	font-weight : bold;
	color : #0000ff;
}

span.CSSCLS_MONSTER_PARAM_BAD {
	font-weight : bold;
	color : #ff0000;
}

span.CSSCLS_ITEM_INFO_SET_INFO {
	font-size : smaller;
	font-weight : bold;
}

span.CSSCLS_ITEM_INFO_TIME_ITEM_INFO {
	font-size : smaller;
	font-weight : bold;
}

span.CSSCLS_ITEM_INFO_PENALTY_INFO {
	color : green;
	font-weight : bold;
}



span.CSSCLS_SKILL_RATIO_PLUS {
	font-weight : bold;
	color : #0000ff;
}

span.CSSCLS_SKILL_RATIO_MINUS {
	font-weight : bold;
	color : #ff0000;
}



span.CSSCLS_SIZE_MODIFY_PLUS {
	font-weight : bold;
	color : #0000ff;
}

span.CSSCLS_SIZE_MODIFY_MINUS {
	font-weight : bold;
	color : #ff0000;
}



label.CSSCLS_CONF_USING_MESSAGE_USING {
	font-weight : bold;
}



TD.CSSCLS_LEARNED_SKILL_TARGET {
	background-color : #ccffcc;
	font-weight : bold;
}

TD.CSSCLS_SWITCH_HEADER {
	background-color : #ddddff;
}

TD.CSSCLS_SWITCH_HEADER_USED {
	background-color : #ff7777;
}

TD.CSSCLS_INFO_HEADER {
	background-color : #ddddff;
}



select.CSSCLS_SELECTED_LEARNED_SKILL {
	background-color : #ffcccc;
}



select.CSSCLS_SELECTED_MOB_CONF_DEBUF {
	background-color : #ffcccc;
}

input.CSSCLS_CHECKED_MOB_CONF_DEBUF {
	background-color : #ffcccc;
}

input.CSSCLS_INPUTTED_MOB_CONF_DEBUF {
	background-color : #ffcccc;
}



select.CSSCLS_SELECTED_MOB_CONF_BUF {
	background-color : #ffcccc;
}

input.CSSCLS_CHECKED_MOB_CONF_BUF {
	background-color : #ffcccc;
}

input.CSSCLS_INPUTTED_MOB_CONF_BUF {
	background-color : #ffcccc;
}



select.CSSCLS_SELECTED_MOB_CONF_PLAYER {
	background-color : #ffcccc;
}

input.CSSCLS_CHECKED_MOB_CONF_PLAYER {
	background-color : #ffcccc;
}

input.CSSCLS_INPUTTED_MOB_CONF_PLAYER {
	background-color : #ffcccc;
}



select.CSSCLS_SELECTED_MOB_CONF_INPUT {
	background-color : #ffcccc;
}

input.CSSCLS_CHECKED_MOB_CONF_INPUT {
	background-color : #ffcccc;
}

input.CSSCLS_INPUTTED_MOB_CONF_INPUT {
	background-color : #ffcccc;
}



select.CSSCLS_SELECTED_CONF {
	background-color : #ffcccc;
}

td.CSSCLS_SELECTED_CONF_TD {
	background-color : #ffcccc;
}

input.CSSCLS_CHECKED_CONF {
	background-color : #ffcccc;
}

input.CSSCLS_INPUTTED_CONF {
	background-color : #ffcccc;
}

/** -----------------------------------
カスタム表示ウィンド
-------------------------------------*/

table.CSSCLS_EXTRA_INFO_DISP_TABLE {
	border : thin solid;
	width : 100%;
	white-space: nowrap;
}

td.CSSCLS_EXTRA_INFO_DISP_TABLE {
	border : thin solid;
}

td.CSSCLS_EXTRA_INFO_DISP_TABLE_GRAY_BACK {
	border : thin solid;
	background-color : #cccccc;
}

td.CSSCLS_EXTRA_INFO_DISP_TABLE_PHYSICAL_SPEC_OUTER {
	vertical-align : top;
}

td.CSSCLS_EXTRA_INFO_DISP_TABLE_PHYSICAL_SPEC_TITLE {
	border : thin solid;
	text-align : center;
}

td.CSSCLS_EXTRA_INFO_DISP_TABLE_PHYSICAL_SPEC_VALUE {
	text-align : right;
}

td.CSSCLS_EXTRA_INFO_DISP_TABLE_MAGICAL_SPEC_OUTER {
	vertical-align : top;
}

td.CSSCLS_EXTRA_INFO_DISP_TABLE_MAGICAL_SPEC_TITLE {
	border : thin solid;
	text-align : center;
}

td.CSSCLS_EXTRA_INFO_DISP_TABLE_MAGICAL_SPEC_VALUE {
	text-align : right;
}

td.CSSCLS_EXTRA_INFO_DISP_TABLE_RESIST_ELEMENT {
	border : thin solid;
	text-align : center;
}

span.CSSCLS_EXTRA_INFO_DISP_TABLE_BLUE {
	color : #0000ff;
}

span.CSSCLS_EXTRA_INFO_DISP_TABLE_RED {
	color : #ff0000;
}

span.CSSCLS_EXTRA_INFO_DISP_TABLE_SPEC_VALUE_BLUE {
	color : #0000ff;
}

span.CSSCLS_EXTRA_INFO_DISP_TABLE_SPEC_VALUE_RED {
	color : #ff0000;
}





td.CSSCLS_EXTRA_INFO_DISP_TABLE_SKILL_CARD_NAME {
	border : thin solid;
}

td.CSSCLS_EXTRA_INFO_DISP_TABLE_SKILL_CARD {
	border : thin solid;
	text-align : center;
}

td.CSSCLS_EXTRA_INFO_DISP_TABLE_SKILL_CARD_HEAD {
	border : thin solid;
	background-color : #ccffcc;
	text-align : center;
}

td.CSSCLS_EXTRA_INFO_DISP_TABLE_SKILL_CARD_GRAY_BACK {
	border : thin solid;
	background-color : #cccccc;
	text-align : center;
}

td.CSSCLS_EXTRA_INFO_DISP_TABLE_SKILL_CARD_JUST {
	border : thin solid;
	background-color : #ffffcc;
	font-weight : bold;
	text-align : center;
}

td.CSSCLS_EXTRA_INFO_DISP_TABLE_SKILL_CARD_NG {
	border : thin solid;
	background-color : #ffcccc;
	font-weight : bold;
	text-align : center;
}



:is(#BATTLE_RESULT_BASIC, #BATTLE_RESULT_DAMAGE) {
	display: grid;
	grid-template-columns: repeat(minmax(3, 5), minmax(7em, max-content));
	gap: 2px;
	padding: 2px;
	border: 1px solid black;

	/* 横のテーブルとの頭合わせ。本来は不要。 */
	margin-top: 3px;
}
#BATTLE_RESULT_BASIC {
	grid-template-columns: repeat(2, minmax(7em, max-content));
}

:is(#BATTLE_RESULT_BASIC, #BATTLE_RESULT_DAMAGE) > div {
	padding: 0.25em 0.5em 0.125em 0.25em;
	border: 1px solid black;
}

.CSSCLS_BTLRSLT_HEADER {
	background-color : #ddddff;
}

.CSSCLS_BTLRSLT_METHOD_LABEL, .CSSCLS_BTLRSLT_RAYING_LABEL {
	background-color : #ddeedd;
}
.CSSCLS_BTLRSLT_METHOD_LABEL_APPEND {
	background-color : #eeeecc;
}
.CSSCLS_BTLRSLT_PERSEC_LABEL {
	background-color : #eedddd;
}
.CSSCLS_BTLRSLT_CENTERING {
	text-align: center;
}
.CSSCLS_BTLRSLT_VALUE {
	text-align: right;
}
.CSSCLS_BTLRSLT_DISUSABLE {
	color: #dd0000;
	text-align: center;
}
.CSSCLS_BATTLE_TINY_LABEL {
	background-color : #ddddff;
	padding-right: 0.2em;
}
.CSSCLS_BATTLE_TINY_VALUE {
	text-align: left;
	padding-right: 0.6em;
}
#OBJID_DIV_BATTLE_RESULT_TINY {
	white-space: nowrap;
}
#OBJID_DIV_RESIST_ELEMENT_TINY {
	white-space: nowrap;
}
#OBJID_DIV_RESIST_ELEMENT_TINY .label {
	font-size: small;
	font-weight: bold;
	padding: 0 0.2em;
	margin-left: 0.5em;
}
#OBJID_DIV_RESIST_ELEMENT_TINY .value {
	text-align: left;
	padding: 0 0.1em;
}
#OBJID_DIV_RESIST_ELEMENT_TINY .value-weak {
	font-weight: bold;
	color: #f00;
}
#OBJID_DIV_RESIST_ELEMENT_TINY .value-resist {
	color: black;
}
#OBJID_DIV_RESIST_ELEMENT_TINY .value-absorb {
	color: white;
	background-color: green;
}
#OBJID_DIV_RESIST_ELEMENT_TINY .value-over {
	font-size: small;
	font-weight: bold;
	color: #f00;
}
#OBJID_DIV_RESIST_ELEMENT_TINY .u {
	border: 1px solid #888;
	background-color: #fff;
}
#OBJID_DIV_RESIST_ELEMENT_TINY .h {
	border: 1px solid #f00;
	background-color: #fcc;
}
#OBJID_DIV_RESIST_ELEMENT_TINY .m {
	border: 1px solid #00f;
	background-color: #ccf;
}
#OBJID_DIV_RESIST_ELEMENT_TINY .k {
	border: 1px solid #0f0;
	background-color: #cfc;
}
#OBJID_DIV_RESIST_ELEMENT_TINY .t {
	border: 1px solid #7b4d28;
	background-color: #cab7a9;
}
#OBJID_DIV_RESIST_ELEMENT_TINY .d {
	border: 1px solid #f0f;
	background-color: #fcf;
}
#OBJID_DIV_RESIST_ELEMENT_TINY .s {
	border: 1px solid #f4cf0f;
	background-color: #ebeb4b;
}
#OBJID_DIV_RESIST_ELEMENT_TINY .y {
	border: 1px solid #000;
	background-color: #ccc;
}
#OBJID_DIV_RESIST_ELEMENT_TINY .n {
	border: 1px solid #888;
	background-color: #eee;
}
#OBJID_DIV_RESIST_ELEMENT_TINY .f {
	border: 1px solid #6d1447;
	background-color: #e07eb7;
}


/* タブ制御 */
/*
#BATTLE_RESULT_DAMAGE:not(.CSSFLG_BTLRSLT_TAB_ALL):not(.CSSFLG_BTLRSLT_TAB_BASIC) .BTLRSLT_TAB_BASIC {
	display: none;
}
#BATTLE_RESULT_DAMAGE:not(.CSSFLG_BTLRSLT_TAB_ALL):not(.CSSFLG_BTLRSLT_TAB_DAMAGE) .BTLRSLT_TAB_DAMAGE {
	display: none;
}
#BATTLE_RESULT_DAMAGE:not(.CSSFLG_BTLRSLT_TAB_ALL):not(.CSSFLG_BTLRSLT_TAB_RESULT) .BTLRSLT_TAB_RESULT {
	display: none;
}
*/

/* パート展開 */
#BATTLE_RESULT_BASIC #BTLRSLT_PART_BASE:not(:checked) ~ .BTLRSLT_PART_BASE {
	display: none;
}
#BATTLE_RESULT_BASIC #BTLRSLT_PART_CAST:not(:checked) ~ .BTLRSLT_PART_CAST {
	display: none;
}
#BATTLE_RESULT_DAMAGE #BTLRSLT_PART_ATKDMG:not(:checked) ~ .BTLRSLT_PART_ATKDMG {
	display: none;
}
#BATTLE_RESULT_DAMAGE #BTLRSLT_PART_ATKCNT:not(:checked) ~ .BTLRSLT_PART_ATKCNT {
	display: none;
}
#BATTLE_RESULT_DAMAGE #BTLRSLT_PART_EXP:not(:checked) ~ .BTLRSLT_PART_EXP {
	display: none;
}
#BATTLE_RESULT_DAMAGE #BTLRSLT_PART_RECEIVE:not(:checked) ~ .BTLRSLT_PART_RECEIVE {
	display: none;
}

/* 詳細表示 */
#BATTLE_RESULT_DAMAGE.CSSFLG_BTLRSLT_DAMAGE_DETAIL .BTLRSLT_DAMAGE_TOTAL {
	display: none;
}
#BATTLE_RESULT_DAMAGE:not(.CSSFLG_BTLRSLT_DAMAGE_DETAIL) .BTLRSLT_DAMAGE_DETAIL {
	display: none;
}

/* 取り消し線専用のクラス */
.strike-line {
  position: relative; /* 線の位置の基準にする */
  display: inline-block; /* 高さと幅を正しく認識させる */
  text-decoration: none !important; /* 標準の線は消す */
}
.strike-line::after {
  content: "";
  position: absolute;
  left: 0;
  top: 50%; /* 常に文字の高さの真ん中 */
  width: 100%;
  border-bottom: 1px solid currentColor; /* 文字と同じ色で線を引く */
  transform: translateY(-50%); /* 線の太さ分だけ微調整 */
}